START   = 1185667850;
DUR     = 1016;
FS      = 16384;

IFO     = 'L1';
CHANNEL = 'L1:DCH-CLEAN_STRAIN_C02';
FR_TYPE = 'L1_CLEANED_HOFT_C02';
FILE    = 'L1-asd.txt';
%{
IFO     = 'H1';
CHANNEL = 'H1:DCH-CLEAN_STRAIN_C02';
FR_TYPE = 'H1_CLEANED_HOFT_C02';
FILE    = 'H1-asd.txt';
%}
%% MAIN
params.job.startGPS = START;
params.job.duration = DUR;
params.largeShiftTime1 = 0;
params.ifo1 = IFO;
params.frameType1 = FR_TYPE;


frames = find_frames(params);
vector = frgetvect(frames{1},CHANNEL, START,DUR);

[Y,f]=pwelch(vector,hann(FS),FS/2,FS,FS,'onesided');

fid = fopen(FILE,'w')
fprintf(fid,'%.2f %g\n',[f,sqrt(Y)]')
fclose(fid)